#ifndef CERTIFICATELIST_H
#define CERTIFICATELIST_H
/**
 * This class handles a certificate list file.
 * It checks for the validity of that certificate
 * list file and provides an API for working with that
 * file.
 *
 * The List is parsed on Initialization. You should
 * check the Status afterwards to see if the file
 * could be parsed.
 *
 * The certificate list will be kept in memory until
 * this object is destroyed.
 *
 */

class QByteArray;

#include <QString>
#include <QDateTime>
#include <QObject>

#include "listutil.h"

class CertificateList : public QObject
{
    Q_OBJECT

public:
    CertificateList(const char *fileName);

    list_status_t getStatus() {return mStatus;}
    bool isValid() {return mStatus == Valid;}

private:
    QString mFileName;
    QList<QByteArray> mCertificatesInstall;
    QList<QByteArray> mCertificatesRemove;
    list_status_t mStatus;
    QDateTime mDate;
};
#endif
